com.mapinfo.midev.unit

## Class AngularUnit

- java.lang.Object
- - java.lang.Enum
  - - com.mapinfo.midev.unit.AngularUnit

All Implemented Interfaces:
  Serializable, Comparable

    public final class AngularUnit
    extends Enum

An unit of measure for angles.

See Also:
  Serialized Form

### Field Summary

Fields
`static AngularUnit` `DEGREE` An AngularUnit representing degrees.
`static AngularUnit` `GRADIAN` An AngularUnit representing a gradian.
`static AngularUnit` `MINUTE` An AngularUnit representing arc-minutes.
`static AngularUnit` `RADIAN` An AngularUnit representing radians.
`static AngularUnit` `SECOND` An AngularUnit representing arc-seconds.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static double` `convert(double angle, AngularUnit fromUnit, AngularUnit toUnit)` Convert the specified angle to its equivalent value in another angular unit.
`double` `getDegreesPerUnit()` Get the number of degrees equivalent to one of this unit of measure.
`static AngularUnit` `valueOf(String name)`
`static AngularUnit[]` `values()`

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DEGREE

    public static final AngularUnit DEGREE

An AngularUnit representing degrees.

#### MINUTE

    public static final AngularUnit MINUTE

An AngularUnit representing arc-minutes.

#### SECOND

    public static final AngularUnit SECOND

An AngularUnit representing arc-seconds.

#### RADIAN

    public static final AngularUnit RADIAN

An AngularUnit representing radians.

#### GRADIAN

    public static final AngularUnit GRADIAN

An AngularUnit representing a gradian.

### Method Detail

#### values

    public static AngularUnit[] values()

#### valueOf

    public static AngularUnit valueOf(String name)

#### getDegreesPerUnit

    public double getDegreesPerUnit()

Get the number of degrees equivalent to one of this unit of measure.

Returns:
  The number of degrees equivalent to one of this unit of measure.

#### convert

    public static double convert(double angle,
                                 AngularUnit fromUnit,
                                 AngularUnit toUnit)

Convert the specified angle to its equivalent value in another angular unit.

Parameters:
  `angle` - An angle with unit fromUnit
  `fromUnit` - The angular unit of the specified angle.
  `toUnit` - The angular unit for the converted value.
Returns:
  The converted angle in the specified units.